    /*
     *  call-seq:
     *     WhiteSpaceTokenizer.new(lower = true) -> tokenizer
     *
     *  Create a new WhiteSpaceTokenizer which optionally downcases tokens.
     *  Downcasing is done according the current locale.
     *
     *  lower:: set to false if you don't wish to downcase tokens
     */
    static VALUE
    frt_whitespace_tokenizer_init(int argc, VALUE *argv, VALUE self)
    {
        TS_ARGS(false);
    #ifndef POSH_OS_WIN32
        if (!frt_locale) frt_locale = setlocale(LC_CTYPE, "");
    #endif
        return get_wrapped_ts(self, rstr, mb_whitespace_tokenizer_new(lower));
    }